From b19ee9120686e4f0b9bbc31017d721f6f005d1ac Mon Sep 17 00:00:00 2001
From: Adam Samalik <asamalik@redhat.com>
Date: Apr 23 2019 13:35:40 +0000
Subject: [PATCH 5/88] support for translated site


---

diff --git a/build-translated.sh b/build-translated.sh
index e449d89..ef57ba1 100755
--- a/build-translated.sh
+++ b/build-translated.sh
@@ -1,20 +1,34 @@
-#!/bin/sh
+#!/bin/bash
+
+languages="cs fr jp"
+
+
+create_language_menu() {
+    {
+        echo '<div class="page-languages">'
+        echo "    <button class=\"languages-menu-toggle\" title=\"Show other languages of the site\">$1</button>"
+        echo '    <div class="languages-menu">'
+        echo '        <a class="language" href="/en-US{{ @root.page.url }}">en-US</a>'
+        for lang in $languages; do
+            echo "        <a class=\"language\" href=\"/$lang{{ @root.page.url }}\">$lang</a>"
+        done
+        echo '    </div>'
+        echo '</div>'
+    } > ./supplemental-ui/partials/page-languages.hbs
+}
+
 
 if [ "$(uname)" == "Darwin" ]; then
-    # Running on macOS.
-    # Let's assume that the user has the Docker CE installed
-    # which doesn't require a root password.
-    docker run --rm -it -v $(pwd):/antora antora/antora --html-url-extension-style=indexify site-cs-CZ.yml
-    docker run --rm -it -v $(pwd):/antora antora/antora --html-url-extension-style=indexify site-fr-FR.yml
-    docker run --rm -it -v $(pwd):/antora antora/antora --html-url-extension-style=indexify site-jp-JP.yml
+    for current_lang in $languages; do
+        create_language_menu "$current_lang"
+        docker run -e "LANGUAGE=$current_lang" -e "ANTORA_DATE=$(date -u)" --rm -it -v $(pwd):/antora antora/antora --html-url-extension-style=indexify site-$current_lang.yml
+    done
 
 elif [ "$(expr substr $(uname -s) 1 5)" == "Linux" ]; then
-    # Running on Linux.
-    # Let's assume that it's running the Docker deamon
-    # which requires root.
-    echo ""
-    echo "This build script is using Docker to run the build in an isolated environment. You might be asked for a root password in order to start it."
-    sudo docker run --rm -it -v $(pwd):/antora:z antora/antora --html-url-extension-style=indexify site-cs-CZ.yml
-    sudo docker run --rm -it -v $(pwd):/antora:z antora/antora --html-url-extension-style=indexify site-fr-FR.yml
-    sudo docker run --rm -it -v $(pwd):/antora:z antora/antora --html-url-extension-style=indexify site-jp-JP.yml
+    for current_lang in $languages; do
+        create_language_menu "$current_lang"
+        podman run -e "LANGUAGE=$current_lang" -e "ANTORA_DATE=$(date -u)" --rm -it -v $(pwd):/antora:z antora/antora --html-url-extension-style=indexify site-$current_lang.yml
+    done
 fi
+
+create_language_menu "en-US"
diff --git a/supplemental-ui/partials/page-languages.hbs b/supplemental-ui/partials/page-languages.hbs
new file mode 100644
index 0000000..c55c578
--- /dev/null
+++ b/supplemental-ui/partials/page-languages.hbs
@@ -0,0 +1,9 @@
+<div class="page-languages">
+    <button class="languages-menu-toggle" title="Show other languages of the site">en-US</button>
+    <div class="languages-menu">
+        <a class="language" href="/en-US{{ @root.page.url }}">en-US</a>
+        <a class="language" href="/cs{{ @root.page.url }}">cs</a>
+        <a class="language" href="/fr{{ @root.page.url }}">fr</a>
+        <a class="language" href="/jp{{ @root.page.url }}">jp</a>
+    </div>
+</div>

